@rem = '--*-Perl-*--
@echo off
if "%OS%" == "Windows_NT" goto WinNT
perl -x -S "%0" %1 %2 %3 %4 %5 %6 %7 %8 %9
goto endofperl
:WinNT
perl -x -S %0 %*
if NOT "%COMSPEC%" == "%SystemRoot%\system32\cmd.exe" goto endofperl
if %errorlevel% == 9009 echo You do not have Perl in your PATH.
if errorlevel 1 goto script_failed_so_exit_with_non_zero_val 2>nul
goto endofperl
@rem ';
#!perl
#line 15
use strict;
use warnings;
use lib 'lib';
use t::Util;
use File::Spec;

use DBIx::QueryLog ();

my $dbh = t::Util->new_dbh;

local *STDERR;
open STDERR, '>', File::Spec->devnull or die $!;

my $enabled;
my $disabled;
cmpthese 5000, {
    original => sub {
        DBIx::QueryLog->unimport unless $disabled++;
        $dbh->selectrow_arrayref('SELECT * FROM sqlite_master WHERE name = ?', undef, 'foo');
    },
    logging => sub {
        DBIx::QueryLog->import unless $enabled++;
        $dbh->selectrow_arrayref('SELECT * FROM sqlite_master WHERE name = ?', undef, 'foo');
    },
};

__END__
:endofperl
